converters/libe-book - The NetBSD Packages Collection

Library for importing non-HTML reflowable e-book formats

libe-book is a library and a set of tools for reading and converting
various non-HTML reflowable e-book formats.

Currently supported are:
- eReader .pdb
- FictionBook v. 2 (including zipped files)
- PalmDoc Ebook
- Plucker .pdb
- QiOO (mobile format, for java-enabled cellphones)
- TCR (simple compressed text format)
- TealDoc
- zTXT
- ZVR (simple compressed text format)

For convenience of use in third-party projects the library is available under
two licenses: GNU Lesser GPL 2.1+ and MPL 2.0+.

Build dependencies

devel/boost-headers pkgtools/cwrappers devel/gperf devel/glib2-tools devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

converters/libwpd converters/librevenge devel/boost-libs devel/liblangtag textproc/icu textproc/libxml2 converters/libwpd converters/librevenge devel/liblangtag textproc/icu textproc/libxml2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibe-book-0.1.3nb18.tgz
NetBSD 8.0earmv7hflibe-book-0.1.3nb16.tgz
NetBSD 8.0earmv7hflibe-book-0.1.3nb18.tgz
NetBSD 8.0i386libe-book-0.1.3nb16.tgz
NetBSD 8.0i386libe-book-0.1.3nb18.tgz
NetBSD 8.0powerpclibe-book-0.1.3nb16.tgz
NetBSD 8.0powerpclibe-book-0.1.3nb18.tgz
NetBSD 8.0powerpclibe-book-0.1.3nb18.tgz
NetBSD 8.0powerpclibe-book-0.1.3nb18.tgz
NetBSD 8.0x86_64libe-book-0.1.3nb16.tgz
NetBSD 8.0x86_64libe-book-0.1.3nb18.tgz
NetBSD 9.0aarch64libe-book-0.1.3nb18.tgz
NetBSD 9.0aarch64libe-book-0.1.3nb16.tgz
NetBSD 9.0aarch64libe-book-0.1.3nb18.tgz
NetBSD 9.0alphalibe-book-0.1.3nb18.tgz
NetBSD 9.0earmv6hflibe-book-0.1.3nb18.tgz
NetBSD 9.0earmv6hflibe-book-0.1.3nb16.tgz
NetBSD 9.0earmv6hflibe-book-0.1.3nb18.tgz
NetBSD 9.0earmv7hflibe-book-0.1.3nb18.tgz
NetBSD 9.0earmv7hflibe-book-0.1.3nb16.tgz
NetBSD 9.0earmv7hflibe-book-0.1.3nb18.tgz
NetBSD 9.0earmv7hflibe-book-0.1.3nb18.tgz
NetBSD 9.0i386libe-book-0.1.3nb16.tgz
NetBSD 9.0i386libe-book-0.1.3nb18.tgz
NetBSD 9.0mips64eblibe-book-0.1.3nb18.tgz
NetBSD 9.0mips64eblibe-book-0.1.3nb14.tgz
NetBSD 9.0mips64eblibe-book-0.1.3nb15.tgz
NetBSD 9.0mips64eblibe-book-0.1.3nb16.tgz
NetBSD 9.0mips64eblibe-book-0.1.3nb18.tgz
NetBSD 9.0mipsellibe-book-0.1.3nb15.tgz
NetBSD 9.0powerpclibe-book-0.1.3nb18.tgz
NetBSD 9.0powerpclibe-book-0.1.3nb16.tgz
NetBSD 9.0powerpclibe-book-0.1.3nb18.tgz
NetBSD 9.0powerpclibe-book-0.1.3nb18.tgz
NetBSD 9.0sparc64libe-book-0.1.3nb16.tgz
NetBSD 9.0x86_64libe-book-0.1.3nb18.tgz
NetBSD 9.0x86_64libe-book-0.1.3nb18.tgz
NetBSD 9.0x86_64libe-book-0.1.3nb16.tgz
NetBSD 9.0x86_64libe-book-0.1.3nb18.tgz
NetBSD 9.0x86_64libe-book-0.1.3nb18.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.